Subject: Re: confusion over the new branch and merge config

From: Jakub Narebski <[email-masked]>
Date: Sat, 23 Dec 2006 23:48:00 +0100

Johannes Schindelin wrote:

> On Sat, 23 Dec 2006, Junio C Hamano wrote:

>> Having said that, I think we _could_ do this.
>> 
>> If you (or other people) use branch.*.merge, with its value set
>> to remote name _and_ local name, and actually verify that either
>> form works without confusion, please report back and I'll apply.
> 
> I do not claim to understand your patch (I have no idea if || or && is 
> stronger in shell), but here is another proposition: if the config 
> variable starts with "refs/remotes/", assume it is local.

Why? You can track another repository tracking branches, using it as a kind
of proxy repository, even if it is not bare...
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git